function randomColor() {
	function randomInt(min, max) {
		return Math.floor(Math.random() * (max - min + 1)) + min;
	};

	var h = randomInt(0, 360);
	var s = randomInt(42, 98);
	var l = randomInt(40, 90);

	return `hsl(${h},${s}%,${l}%)`;
}

var nos_oignons_relays = [
	{ name: "marcuse1",
		fingerprint: "A319D6447B2B4107477E126EE4A2B7C38125149E",
		color: randomColor(),
	}, { name: "marcuse2",
		fingerprint: "05A48DCB220236FCCA21B432C3D4A1FCE8AFCEEB",
		color: randomColor(),
	}, { name: "marcuse3",
		fingerprint: "E2DA7E67DFC30B19C50F2957C0AAFD226143D7C8",
		color: randomColor(),
	}, { name: "marcuse4",
		fingerprint: "CFAB19E23290F5BA1F7FF24494D26FBD4E4DF6CE",
		color: randomColor(),
	}, { name: "marcuse5",
		fingerprint: "D881FA3C5A642541932ACED4A3C5140742096D11",
		color: randomColor(),
	}, { name: "marcuse6",
		fingerprint: "5409FECC2C4B59D4573AAE935BE31C5675E81431",
		color: randomColor(),
	}, { name: "marcuse7",
		fingerprint: "EFF127FA3E850B17BF9A980AFB010A172F6C6FAF",
		color: randomColor(),
	}, { name: "marcuse8",
		fingerprint: "44D1929690CF1DEF95C5D1F4F66281CF18311618",
		color: randomColor(),
	}, { name: "ekumen",
		fingerprint: "9BA84E8C90083676F86C7427C8D105925F13716C",
		color: randomColor(),
	}, { name: "marylou1",
		fingerprint: "578E007E5E4535FBFEF7758D8587B07B4C8C5D06",
		color: randomColor(),
	}, { name: "marylou2",
		fingerprint: "90FD830C357A5109AB3C505287713F1AC811174C",
		color: randomColor(),
	}, { name: "marylou3",
		fingerprint: "91B7A9659CDB5ACF0DEB46DAA82C122C39CC4ADF",
		color: randomColor(),
	}, { name: "marylou4",
		fingerprint: "4F0C498701A41F4D9CA677EA763FD8CA45348E97",
		color: randomColor(),
	}, { name: "AlGrothendieck1",
		fingerprint: "47EC4211A4A66768224BC18912AF8FB6E880003C",
		color: randomColor(),
	}, { name: "AlGrothendieck2",
		fingerprint: "59F2831A9BEB7AB3D5803445F946EA9FEEEFA217",
		color: randomColor(),
	}, { name: "elenagb",
		fingerprint: "F47B13BFCE4EF48CDEF6C4D7C7A99208EBB972B5",
		color: randomColor(),
	}, { name: "mwittig",
		fingerprint: "B580111855B9C452EB224CA7932B626E28D3C2EA",
		color: randomColor(),
	}, { name: "arecoque1",
		fingerprint: "CD1FD2C1F330A3293DA6068E6A23866D063D6DCB",
		color: randomColor(),
	}, { name: "arecoque2",
		fingerprint: "42E817BE07AB39CA3BD7A442AF08E007FF2E3F5B",
		color: randomColor(),
	}, { name: "arecoque3",
		fingerprint: "5450CC0E3D08BB001E8229B8990323D11BC63332",
		color: randomColor(),
	}, { name: "arecoque4",
		fingerprint: "8F13B91FA8380842993E7C36EEF88BEC5D695587",
		color: randomColor(),
	}, { name: "arecoque5",
		fingerprint: "0DC16FEAA5A5E27A974009CBF7748BB6FAAE6DE1",
		color: randomColor(),
	}, { name: "arecoque6",
		fingerprint: "C3AACDE1671FF475D872683359777B082C1C77E6",
		color: randomColor(),
	}, { name: "arecoque7",
		fingerprint: "EEEFC9F693B3BB72C1069EC8CDAF2E6C40FCC47D",
		color: randomColor(),
	}, { name: "arecoque8",
		fingerprint: "16D3252B519861248FDEABE05A6F3B97BC510557",
		color: randomColor(),
	}
];
